import java.io.*;

public class LowerCaseDemo
{
  public static void main( String [] args ) throws IOException
  {
    InputStream source;

    if ( args.length == 0 )
      source = new LowerCaseInputStream( System.in );
    else
      source = new LowerCaseInputStream( new FileInputStream(args[0]) );

    int totalCharacters = 0;
    int nextCharacter   = source.read();
    
    while ( nextCharacter != -1 )
    {
      System.out.print( (char) nextCharacter );
      totalCharacters++;
      nextCharacter = source.read();
    }
    
    // System.out.println( totalCharacters + " bytes" );
  }
}
